//
//  ViewController.swift
//  IOS05_滑动条UISlider
//
//  Created by lee on 2017/12/25.
//  Copyright © 2017年 物联网入门视频教程-IOS部分. All rights reserved.
//

import UIKit
import SnapKit
class ViewController: UIViewController {

    var slider: UISlider!
    override func viewDidLoad() {
        super.viewDidLoad()
        
        slider = UISlider()
        
        //设置滑动快最小值
        slider.minimumValue = 0
        
        //设置滑动块最大值
        slider.maximumValue = 100
        
        //滑动块未滑动过的颜色
        slider.maximumTrackTintColor = UIColor.green
        
        //滑动块已滑动过的颜色
        slider.minimumTrackTintColor = UIColor.red
        
        //滑块的颜色
        slider.thumbTintColor = UIColor.brown
        
        //最小值处显示的图片
        slider.minimumValueImage = UIImage(named: "sub.png")
        
        //最大值处显示的图片
        slider.maximumValueImage = UIImage(named: "plus.png")
        
        //设置滑动条的初始值
        slider.value = 50
        
        view.addSubview(slider)
        
        slider.snp.makeConstraints { (slider) in
            slider.top.equalTo(self.view.snp.top).offset(200)
            slider.left.equalTo(self.view.snp.left).offset(50)
            slider.right.equalTo(view.snp.right).offset(-50)
            
            
        }
        
        slider.addTarget(self, action: #selector(startSlideClick), for: UIControlEvents.touchDown)
        
        slider.addTarget(self, action: #selector(endSliderClick), for: UIControlEvents.touchUpInside)
        
        slider.addTarget(self, action: #selector(sliderSlipping), for: UIControlEvents.valueChanged)
    }

   
    func startSlideClick (){
    
        let pro = slider.value
        print("start:\(pro)")
    }
    
    func endSliderClick(){
    
        let pro = slider.value
        print("end:\(pro)")
        
    }
    
    func sliderSlipping(){
    
        let pro = slider.value
        print("slipping:\(pro)")
        print("slip" + "end")
    }

    /*
     \():表示连接
     +可以连接两个字符串
     */

}

